<template>
  <div>
    <vol-box
      v-model="showDetailBox"
      :lazy="true"
      width="60%"
      :padding="15"
      title="Mes出库单(新建)"
    >
      <div>
        <el-form :inline="true" :model="formData" ref="formData">
          <el-form-item
            label="所属仓库:"
            style="width: 30%"
            required
            prop="warehouseId"
          >
            <el-select v-model="formData.warehouseId" placeholder="请选择仓库">
              <el-option label="板材仓" value="3"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item
            label="物料编码:"
            style="width: 30%"
            required
            prop="materialCode"
          >
            <el-input
              v-model="formData.materialCode"
              placeholder="请输入物料编码"
            ></el-input>
          </el-form-item>
          <el-form-item
            label="出库数量:"
            style="width: 30%"
            required
            prop="num"
          >
            <el-input-number
              v-model="formData.num"
              :min="1"
              label="请输入出库数量"
            ></el-input-number>
          </el-form-item>
          <el-form-item
            label="出库地址:"
            style="width: 30%"
            required
            prop="outAddress"
          >
            <el-select
              v-model="formData.outAddress"
              placeholder="请选择出库地址"
            >
              <el-option label="一巷道二层上料位" value="1011"></el-option>
              <el-option label="SCUTL-001" value="SCUTL-001"></el-option>
            </el-select>
          </el-form-item>
          <!-- <el-form-item label="仓库">
            <el-col :span="8">
              <el-select v-model="warehouseId" placeholder="请选择仓库">
                <el-option label="板材仓" value="3"></el-option>
              </el-select>
            </el-col>
          </el-form-item> -->
        </el-form>
      </div>

      <template #footer>
        <el-button type="primary" size="small" @click="add">确定</el-button>
        <el-button type="danger" size="small" @click="showDetailBox = false"
          >关闭</el-button
        >
      </template>
    </vol-box>
  </div>
</template>
  <script>
import VolBox from "@/components/basic/VolBox.vue";
export default {
  components: { VolBox },
  data() {
    return {
      showDetailBox: false,
      formData: {
        warehouseId: "",
        materialCode: "",
        num: 1,
        outAddress: "",
      },
    };
  },
  methods: {
    open() {
      this.showDetailBox = true;
    },
    add() {
      var params = {
        //warehouseId: this.formData.warehouseId,
        materialCode: this.formData.materialCode,
        requiredQuantity: this.formData.num,
        line: this.formData.outAddress,
      };

      this.http
        .post("/api/mesOutboundOrder/AddMesOrder", params, "数据处理中...")
        .then((res) => {
          if (!res.status) return this.$message.error(x.message);
          this.$message.success("操作成功");
          this.showDetailBox = false;
          this.$emit("parentCall", ($vue) => {
            $vue.refresh();
          });
        });
    },
  },
};
</script>
  <style scoped>
.less-style {
  color: black;
}

.equle-style {
  color: green;
}

.more-style {
  color: red;
}
</style>
  
  <style>
.text-button:hover {
  background-color: #f0f9eb !important;
}

.el-table .warning-row {
  background: oldlace;
}

.box-table .el-table tbody tr:hover > td {
  background-color: #d8e0d4 !important;
  /* color: #ffffff; */
}

.box-table .el-table tbody tr.current-row > td {
  background-color: #f0f9eb !important;
  /* color: #ffffff; */
}

.el-table .success-row {
  background: #f0f9eb;
}

.box-table .el-table {
  border: 1px solid #ebeef5;
}

.box-head .el-alert__content {
  width: 100%;
}
</style>